/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */

package gr.ihu.cs.lmous.OOJ.k11.v1.x;

import java.util.HashMap;

public class Alpha {
    private static final HashMap<String,Alpha> store=new HashMap<>();

    private final String id;
    private String description;

    private Alpha(String id, String description) {
        this.id = id;
        this.description = description;
    }
    
    public Alpha create(String id, String description) {
        Alpha rVal=store.get(id);
        if (rVal==null) {
            rVal=new Alpha(id, description);
            store.put(id, rVal);
        }
        return rVal;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getId() {
        return id;
    }
    
    

}
