package gr.ihu.cs.lmous.OOJ.k11.v1.x;

/**
 *
 * @author Lefteris Moussiades
 */
public class Card { //Κώδικας 11.20

    private final Suit suit;
    private final CardRank cardRank;

    public Card(CardRank cardRank, Suit suit) {
        this.cardRank = cardRank;
        this.suit = suit;
    }

    public Suit getSuit() {
        return suit;
    }

    public CardRank getCardRank() {
        return cardRank;
    }

    @Override
    public String toString() {
        return this.cardRank + " " + this.suit;
    }
}
