/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k11.v1.x;

public class MyInteger { //Κώδικας 11.12

    private int value;

    public MyInteger() {
        value = 0;
    }

    public MyInteger(int k) {
        value = k;
    }

    public void setValue(int k) {
        value = k;
    }

    public void setValue(Integer k) {
        value = k;
    }

    public void setValue(MyInteger k) {
        value = k.value;
    }

    public int getValue() {
        return value;
    }

    public MyInteger add(MyInteger i) {
        return new MyInteger(value + i.value);
    }

    public MyInteger subtract(MyInteger i) {
        return new MyInteger(value - i.value);
    }

    public MyInteger multiply(MyInteger i) {
        return new MyInteger(value * i.value);
    }

    public MyInteger divide(MyInteger i) {
        return new MyInteger(value / i.value);
    }

    @Override
    public String toString() {
        return Integer.toString(value);
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 61 * hash + this.value;
        return hash;
    }
    
    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final MyInteger other = (MyInteger) obj;
            return this.value == other.value;
        }
    
    public static void main(String[] args) {
        MyInteger i=new MyInteger(9);
        MyInteger k=new MyInteger(9);
        System.out.println(i==k);
        System.out.println(i.equals(k));
        MyInteger m=i.add(k);
    }
}
