/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k11.v1.x;

public class Person { //Κώδικας 11.11

    private String fName;
    private String sName;
    private int sex;

    public Person(String fName, String sName, int sex) {
        this.fName = fName;
        this.sName = sName;
        this.sex = sex;
    }

    public String getfName() {
        return fName;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getsName() {
        return sName;
    }

    public void setsName(String sName) {
        this.sName = sName;
    }

    public int getSex() {
        return sex;
    }

    public void setSex(int sex) {
        this.sex = sex;
    }

    @Override
    public int hashCode() {
        int hash = 5;
        hash = 89 * hash + this.fName.hashCode();
        hash = 89 * hash + this.sName.hashCode();
        hash = 89 * hash + this.sex;
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Person other = (Person) obj;
        if (this.sex != other.sex) {
            return false;
        }
        if (!this.fName.equals(other.fName)) {
            return false;
        }
        return this.sName.equals(other.sName);
    }

    @Override
    public String toString() {
        return "Person{" + "fName=" + fName + ", sName=" + sName + ", sex=" + (sex==1?"M":"F") + '}';
    }
    
    public static void main(String[] args) {
        Person jim=new Person("Jim", "Black",1);
        System.out.println(jim);
    }
}
