/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k12.v1;

public class StringBuilderDemo {

    static void constructors() {
        StringBuilder s1 = new StringBuilder("John");
        StringBuilder s2 = new StringBuilder(120);
        StringBuilder s3 = new StringBuilder();
    }

    static void functions() {
        StringBuilder s1 = new StringBuilder();
        s1.append(1523);
        System.out.println(s1);
        System.out.println(s1.capacity());
        System.out.println(s1.charAt(2));
        //System.out.println(s1.compareTo(s1));
        s1.delete(1, 3);
        System.out.println(s1);
        s1.deleteCharAt(0);
        StringBuilder s2 = new StringBuilder("John came home yesterday");
        System.out.println(s2.indexOf("came"));
        System.out.println(s2.insert(5, "and Mary "));
        System.out.println(s2);
        System.out.println(s2.lastIndexOf("day"));
        System.out.println(s2);
        System.out.println(s2.replace(0, 18, "Ann"));
        System.out.println(s2);
        System.out.println(s2.reverse());
        System.out.println(s2);
    }

    static String buildString() {
        StringBuilder rVal = new StringBuilder(26);
        for (char c = 'A'; c <= 'Z'; c++) {
            rVal.append(c);
        }
        return new String(rVal);
    }

    public static void main(String[] args) {
        functions();
        //System.out.println(buildString());
    }
}
