/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k14_1.v1;

import gr.ihu.cs.lmous.OOJ.k12.v1.x.Person;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;

public class ComparatorDemo { //Κώδικας 14.3

    private static class CompareById implements Comparator<Person> {

        @Override
        public int compare(Person o1, Person o2) {
            int id1 = Integer.decode(o1.getId());
            int id2 = Integer.decode(o2.getId());

            return id1 - id2;

        }
    }

    private static class CompareByName implements Comparator<Person> {

        @Override
        public int compare(Person o1, Person o2) {
            String sName1 = o1.getsName();
            String sName2 = o2.getsName();
            String fName1 = o1.getfName();
            String fName2 = o2.getfName();
            int rVal = sName1.compareTo(sName2);
            if (rVal == 0) {
                return fName1.compareTo(fName2);
            }
            return rVal;
        }
    }

    static void prt(Iterator<Person> it) {
        while (it.hasNext()) {
            System.out.println(it.next());
        }
    }

    public static void main(String[] args) {
        List<Person> store = PolymorphismDemo.loadData();
        store.sort(new CompareById());
        prt(store.iterator());
        System.out.println("---------------------");
        store.sort(new CompareByName());
        prt(store.iterator());
    }

}
