package gr.ihu.cs.lmous.OOJ.k14_1.v1.x.TicTacToe;

/**
 * It Represents a RuleBased Player
 *
 */
public class RBPlayer extends Player {

    public RBPlayer(char id) {
        super(id);
    }

    /**
     * Υλοποιεί την εφηρημένη μέθοδο της κλάσης Player σύμφωνα με τις απαιτούμενες 
     * προδιαγραφές για τον Rule Based παίκτη
     * @param board
     * @return Μία κίνηση (Movement)
     */
    @Override
    public Movement move(Board board) {
        Movement[] availM = board.possibleMoves();
        for (Movement mv : availM) {
            Board bd = new Board(board);
            bd.setPlayerMove(this, mv);
            if (getId() == bd.win()) {
                return mv;
            }
        }
        for (Movement mv : availM) {
            Board bd = new Board(board);
            bd.setPlayerMove(getOpponent(), mv);
            if (getOpponent().getId() == bd.win()) {
                return mv;
            }
        }
        return availM[0];
    }
}
