/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k14_1.v1.x.johnBeker;

import gr.ihu.cs.lmous.OOJ.k11.v1.x.Card;
import gr.ihu.cs.lmous.OOJ.k12.v1.x.Deck;
import gr.ihu.cs.lmous.OOJ.k12.v1.x.Person;
import gr.ihu.cs.lmous.OOJ.k14_1.v1.CardPlayerI;
import java.time.LocalDate;
import java.util.ArrayList;

public class CardPlayer extends Person implements CardPlayerI { //Κώδικας 14.16

    ArrayList<Card> cardsInHand = new ArrayList<>();

    public CardPlayer(String id, String fName, String sName, LocalDate birthday) {
        super(id, fName, sName, birthday);
    }

    @Override
    public Card pickTop(Deck deck) {
        Card card = deck.pickCard();
        cardsInHand.add(card);
        return card;
    }

    @Override
    public ArrayList<Card> openCards() {
        ArrayList<Card> rVal = new ArrayList<>(cardsInHand);
        cardsInHand.clear();
        return rVal;
    }
}    
