/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k16.v1;

import java.io.BufferedWriter;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileWriter;
import java.io.IOException;
import java.util.Scanner;

public class ReadStudents {

    static void copyStudents1(String source, String target) throws IOException {

        File input = new File(source);
        BufferedWriter out;
        Scanner scanner;

        try {
            scanner = new Scanner(input);
            out = new BufferedWriter(new FileWriter(target));
            while (scanner.hasNextLine()) {
                String st = scanner.nextLine();
                out.write(st + "\n");
            }
        } catch (FileNotFoundException ex) {
            System.out.println(ex + " file " + source + " has not copied");
            return;
        } catch (IOException ex) {
            System.out.println(ex + " file " + source + " has not copied");
            return;
        }

        scanner.close();
        out.close();
    }

    static void copyStudents(String source, String target) throws IOException { //Κώδικας 16.6
        File input = new File(source);
        BufferedWriter out = null;
        Scanner scanner = null;
        int[] k = new int[2];

        try {
            scanner = new Scanner(input);
            FileWriter fW = new FileWriter(target);
            out = new BufferedWriter(fW);
            while (scanner.hasNextLine()) {
                String st = scanner.nextLine();
                out.write(st + "\n");
                k[2] = 1;
            }
        } catch (FileNotFoundException ex) {
            System.out.println(ex + " file " + source + " has not copied");
        } catch (IOException ex) {
            System.out.println(ex + " file " + source + " has not copied");
        }

        if (scanner != null) {
            scanner.close();
        }
        if (out != null) {
            out.close();
        }
    }

    static void copyStudentsF(String source, String target) throws IOException { //Κώδικας 16.7
        File input = new File(source);
        BufferedWriter out = null;
        Scanner scanner = null;
        int[] k = new int[2];

        try {
            scanner = new Scanner(input);
            FileWriter fW = new FileWriter(target);
            out = new BufferedWriter(fW);
            while (scanner.hasNextLine()) {
                String st = scanner.nextLine();
                out.write(st + "\n");
                k[2] = 1;
            }
        } catch (FileNotFoundException ex) {
            System.out.println(ex + " file " + source + " has not copied");
        } catch (IOException ex) {
            System.out.println(ex + " file " + source + " has not copied");
        } finally {
            if (scanner != null) {
                scanner.close();
            }
            if (out != null) {
                out.close();
            }
        }
    }

    static void copyStudentsWR(String source, String target) throws IOException {//Κώδικας 16.8
        File input = new File(source);

        try ( BufferedWriter out = new BufferedWriter(new FileWriter(target));  Scanner scanner = new Scanner(input);) {
            while (scanner.hasNextLine()) {
                String st = scanner.nextLine();
                out.write(st + "\n");
            }
        } catch (FileNotFoundException ex) {
            System.out.println(ex + " file " + source + " has not copied");
        } catch (IOException ex) {
            System.out.println(ex + " file " + source + " has not copied");
        }
    }

    public static void main(String[] args) throws IOException {

        copyStudentsF("data" + File.separator + "studentsd.dat", "data" + File.separator + "studentsd.dat");

    }

}
