package gr.ihu.cs.lmous.OOJ.k16.x;

import java.io.File;
import java.util.Scanner;

public class CountLetters { //Κώδικας 16.12

    public static String loadFile(String pathName) {
        StringBuilder sB = new StringBuilder();
        try ( Scanner input = new Scanner(new File(pathName))) {
            while (input.hasNextLine()) {
                sB.append(input.nextLine() + "\n");
            }
        } catch (Exception e) {
            System.out.println("File " + pathName + " not found");
            System.exit(1);
        }
        return new String(sB);
    }

    public static int[] countLetters(String data) {
        int[] counter = new int[26];
        data = data.toUpperCase();
        
        for (int i = 0; i < data.length(); i++) {
            try {
                counter[data.charAt(i) - 'A']++;
            } catch (Exception e) {

            }
        }
        return counter;
    }

    public static void main(String[] args) {
        String data = loadFile("data" + File.separator + "text01.txt");
        int[] counter = countLetters(data);
        for (int i = 0; i < counter.length; i++) {
            System.out.println((char) ('A' + i) + " " + counter[i]);
        }
    }
}
