/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k17.v1;

public class GenericFunctions {

    static <K, V> boolean equalId(TwoTypeParam<K, V> p1, TwoTypeParam<K, V> p2) {// Κώδικας 17.4
        return p1.getKey().equals(p2.getKey())
                && p1.getValue().equals(p2.getValue());
    }

    public static void main(String[] args) {
        TwoTypeParam<String, Integer> t1 = new TwoTypeParam<>("Jim", 100),
                t2 = new TwoTypeParam<>("Jim", 100),
                t3 = new TwoTypeParam<>("John", 200);
        System.out.println(equalId(t1, t2));
        System.out.println(equalId(t1, t3));
        TwoTypeParam<String, Double> t4=new TwoTypeParam<>("Jim", 100d);
    }
}
