/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k17.x;

import java.util.ArrayList;
import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

public class Calculator {

    public static double sum(List<? extends Number> list) { //Κώδικας 17.14
        double sum = 0;
        Iterator<? extends Number> it = list.iterator();
        while (it.hasNext()) {
            sum += it.next().doubleValue();
        }
        return sum;
    }

    public static double product(List<? extends Number> list) {
        double product = 1;
        Iterator<? extends Number> it = list.iterator();
        while (it.hasNext()) {
            product *= it.next().doubleValue();
        }
        return product;
    }

    public static void main(String[] args) {
        List<Integer> li = new ArrayList<>();
        List<Double> ld = new LinkedList<>();
        List<Number> ln=new ArrayList<>();
        
        li.add(5);
        li.add(6);
        ld.add(5.2);
        ld.add(6.5);
        ln.add(5);
        ln.add(5.5);
        System.out.println(sum(li));
        System.out.println(sum(ld));
        System.out.println(sum(ln));
    }
}
