/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k18.v1;

import gr.ihu.cs.lmous.OOJ.k12.v1.x.Person;
import static gr.ihu.cs.lmous.OOJ.k14_1.v1.PolymorphismDemo.loadData;
import static gr.ihu.cs.lmous.OOJ.k18.v1.Predicates.prt;
import java.util.Iterator;
import java.util.List;
import java.util.function.Consumer;

/**
 *
 * @author lmous
 */
public class Consumers {//Κώδικας 18.5

    static void process(List<Person> list, Consumer<Person> consumer) {
        Iterator<Person> it = list.iterator();
        while (it.hasNext()) {
            Person p = it.next();
            consumer.accept(p);
        }
    }

    public static void main(String[] args) {
        List<Person> list = loadData();
        prt(list, p -> true);
        System.out.println("-----------------------");
        process(list, p -> p.setBirthday(p.getBirthday().minusYears(20)));
        prt(list, p -> true);

    }
}
