package gr.ihu.cs.lmous.OOJ.k18.v1;


import java.util.HashMap;

/**
 *
 * @author Lefteris Moussiades <lmous@teiemt.gr>
 */
public class Fibonacci {//Κώδικας 18.10

    static long cnt1 = 0;
    static long cnt2 = 0;

    static long fibonacciR(int n) {
        cnt1++;
        if (n == 0 || n == 1) {// 5 = 4 (3 (2,1),2)+3 (2,1)
            return 1;
        } else {
            return fibonacciR(n - 1) + fibonacciR(n - 2);
        }
    }

    static long fibonacciDP(int n, HashMap<Integer, Long> mem) {
        cnt2++;
        if (n == 0 || n == 1) {
            return 1;
        }
        try {
            return mem.get(n);
        } catch (Exception e) {
            long rslt = fibonacciDP(n - 1, mem) + fibonacciDP(n - 2, mem);
            mem.put(n, rslt);
            return rslt;
        }
    }

    public static void main(String[] args) {
        System.out.println("fib(" + 20 + ")=" + fibonacciR(20));
        System.out.println("----------------------");
        System.out.println("fib(" + 20 + ")=" + fibonacciDP(20, new HashMap<>()));
        System.out.println(cnt1 + " " + cnt2);
    }
}
