/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k18.v1;

import gr.ihu.cs.lmous.OOJ.k12.v1.x.Person;
import static gr.ihu.cs.lmous.OOJ.k14_1.v1.PolymorphismDemo.loadData;
import static gr.ihu.cs.lmous.OOJ.k18.v1.Predicates.prt;
import java.util.ArrayList;
import java.util.Iterator;
import java.util.List;
import java.util.function.Function;


/**
 *
 * @author lmous
 */
public class Functions {//Κώδικας 18.6
    
    static List<Person> getOlders(List<Person> list, Function<Person,Boolean> f) {
        List<Person> rVal=new ArrayList<>();
        Iterator<Person> it=list.iterator();
        while (it.hasNext()) {
            Person p=it.next();
            
            if (f.apply(p)) {
               rVal.add(p);
            }
        }
        return rVal;
    }
    
    public static void main(String[] args) {
        List<Person> list = loadData();
        Function<Person, Boolean> ageLimit=p->p.getAge()>50;
        prt(list,p->true);
        System.out.println("-----------------");
        List<Person> olders=getOlders(list, ageLimit);
        prt(olders,p->true);
    }
    
}
