/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k18.x;

/**
 *
 * @author lmous
 */

interface ArrayProcessor {//Κώδικας 18.11
    double apply( double[] array );
} 

public class Processor {

static ArrayProcessor addition= array-> {
    double sum=0;
    for (double d: array)
        sum+=d;
    return sum;
};

static ArrayProcessor average=array-> {
    return addition.apply(array)/array.length;
};

static ArrayProcessor minElement=array-> {
    double min=array[0];
    for (int i=1; i<array.length; i++)
        if (array[i]<min) {
            min=array[i];
        }
    return min;
};

    public static void main(String[] args) {
        double[] array=new double[]{1,2,3,4};
        double sum=addition.apply(array);
        System.out.println(sum);
        System.out.println(average.apply(array));
        System.out.println(minElement.apply(array));
    }
    
}
