/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k4.v1;

public class Operators {

    static void assignmentDemo() { //Κώδικας 4.1
        int i, j = 5, k = 9;
        i = 8;
        System.out.println(j = i);
        j = k = i;
        System.out.println(i + " " + j + " " + k);
    }

    static void additionDemo() { //Κώδικας 4.2
        int i = 3, j = 2;
        System.out.println(i + j);
        System.out.println("i+j= " + i + j); //concatenation
        System.out.println("i+j= " + (i + j));
        String h = "hello", w = "World";
        System.out.println(h + " " + w);
        double k = 1;
        float m = 1f;
        k = k + m;
        char a = 'A';
        System.out.println(a + 1);
        System.out.println((char) (a + 1));
    }

    static void subtractionDemo() { //Κώδικας 4.3
        int i = 3, j = 2;
        //System.out.println("i-j= "+i-j); 
        System.out.println("i-j= " + (i - j));
        char bita = 'B';
        System.out.println(bita - 1);
    }

    static void multiplicationDemo() { //Κώδικας 4.4
        int i = 3, j = 2;
        char bita = 'B';
        System.out.println("i*j= " + i * j);
        System.out.println("i*j= " + (i * j));
        System.out.println("bita*2=" + bita * 2);

    }

    static void divisionDemo() { //Κώδικας 4.5
        int i = 3;
        int j = 2;
        System.out.println("i/j= " + i / j);
        System.out.println("i/j= " + (i / j));
        System.out.println();
        double d = 3, b = 2;
        System.out.println("d/b= " + (d / b));
        System.out.println("(double)i/j= " + (double) i / j);
    }

    static void moduloDemo() { //Κώδικας 4.6
        int i = 3, j = 2; //1
        System.out.println("i%j= " + i % j); //2
        System.out.println("i%j= " + (i % j));
        double d = 7.5, b = 3.5;
        System.out.println("d%b= " + d % b); //5
        System.out.println("d%b= " + (d % b));
    }

    static void unaryOps() { //Κώδικας 4.7
        int i = 1;
        System.out.println(i);
        System.out.println(+i);
        System.out.println(-i);
        System.out.println();

        System.out.println("Postfix increment");
        System.out.println(i++);
        System.out.println(i);
        System.out.println();

        System.out.println("Prefix increment");
        i = 1;
        System.out.println(++i);
        System.out.println(i);
        System.out.println();

        System.out.println("Postfix decrement");
        i = 1;
        System.out.println(i--);
        System.out.println(i);
        System.out.println();

        System.out.println("Prefix decrement");
        i = 1;
        System.out.println(--i);
        System.out.println(i);
        System.out.println();

        boolean b = false;
        System.out.println("b= " + b + ", !b= " + !b);
    }

    static void equalityOp() { //Κώδικας 4.8
        int i = 1, j = 1;
        System.out.println("i==j is " + (i == j));
        double k = 0.00001, d = 1 + 2 * k, b = 1;
        b = b + k;
        b = b + k;
        System.out.println("b=" + b + " and d=" + d);
        System.out.println(b == d);
        System.out.println(Double.compare(b,d));
        String s1 = "John", s2 = "John", s3 = new String("John");
        System.out.println("s1==s2 is " + s1 == s2);
        System.out.println("s1==s3 is " + s1 == s3);
        System.out.println("s1.equals(s3) is " + s1.equals(s3));
    }

    static void relationalOps() { //Κώδικας 4.9
        int i = 5, j = 2;
        char a = 'A', b = 'B';
        System.out.println(i > j);
        System.out.println(b > a);
    }

    static void shortCircuitAnd() { //Κώδικας 4.10
        int i = 1, j = 2;
        System.out.println("i++>1 && j--<3 is " + (i++ > 1 && j-- < 3));
        System.out.println("i= " + i + " j= " + j);
        i = 1;
        j = 2;
        System.out.println("++i>1 && j--<3 is " + (++i > 1 && j-- < 3));
        System.out.println("i= " + i + " j= " + j);
    }

    static void shortCircuitOr() { //Κώδικας 4.11
        int i = 1, j = 2;
        System.out.println("i++>=1 || j--<3 is " + (i++ >= 1 || j-- < 3));
        System.out.println("i= " + i + " j= " + j);

        i = 1;
        j = 2;
        System.out.println("i++>=1 || j--<3 is " + (i++ > 1 || j-- < 3));
        System.out.println("i= " + i + " j= " + j);
    }

    static void ternaryOp() { //Κώδικας 4.12
        int i = 10, j = 2;
        int minIJ = i < j ? i : j;
        System.out.println(minIJ);
        double d = 5.2;
        double max = i > d ? i : d;
        System.out.println(max);
    }

    static void bitwiseAnd() { //Κώδικας 4.13
        int i = 0, j = 1232;
        int k = i & j;
        System.out.println("i&j=" + k);
        int i1 = 0b00000000000000000000000000001010;
        int j1 = 0b00000000000000011000011100001111;
        System.out.println("i1=" + i1 + " " + "j1=" + j1);
        System.out.println("i1&j1=" + (i1 & j1));
        char d1 = 'A';
        int m = i & d1;
        System.out.println("i&d=" + m);
        long b1 = 0;
        long rslt = b1 & i;
        System.out.println(rslt);
    }

    static void rightShift() { //Κώδικας 4.14
        int i = 3;
        int j = -3;
        System.out.println("Integer.toBinaryString(" + i + ")=" + Integer.toBinaryString(i));
        System.out.println("Integer.toBinaryString(" + i + ">>1)=" + Integer.toBinaryString(i >> 1));
        System.out.println("Integer.toBinaryString(" + j + ")=" + Integer.toBinaryString(j));
        System.out.println("Integer.toBinaryString(" + j + ">>1)=" + Integer.toBinaryString(j >> 1));
    }

    static void leftShift() { //Κώδικας 4.15
        int i = 3;
        int j = -3;
        System.out.println("Integer.toBinaryString(" + i + ")=       " + Integer.toBinaryString(i));
        System.out.println("Integer.toBinaryString(" + i + "<<1)=" + Integer.toBinaryString(i << 1));
        System.out.println("Integer.toBinaryString(" + j + ")=" + Integer.toBinaryString(j));
        System.out.println("Integer.toBinaryString(" + j + "<<1)=" + Integer.toBinaryString(j << 1));
        System.out.println("value of j<<1=" + (j << 1));
    }

    public static void main(String[] args) {
        //moduloDemo();
        //unaryOps();
        equalityOp();
    }
}
