/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k5.v1;

public class ChoiceStructs {

    static void simpleIf() { //Κώδικας 5.1
        int i = 1, j = -1;
        if (i > 0 && j < 1) {
            System.out.println("i μεγαλύτερο από το 0");
            System.out.println("j μικρότερο από το 1");
        }
        System.out.println("Μετά τον έλεγχο της έκφρασης \"i>0 && j<1\"");
    }

    static void IfWithSimpleStatement() { //Κώδικας 5.2
        int i = 0;
        if (i > 0) {
            System.out.println("Το i είναι μεγαλύτερο από το 0");
        }
        System.out.println("Μετά τον έλεγχο της έκφρασης \"i>0\"");
    }

    static void nestedIf() { //Κώδικας 5.3
        int i = 1, j = -1;
        if (i > 0) {
            if (j < 1) {
                System.out.println("i>0 και j<1");
            }
        }
    }

    static void ifElseDemo() { //Κώδικας 5.4
        int i = 1, j = 2;
        if (i > 0) {
            if (j < 2 && j > 0) {
                System.out.println("j ίσο με 1");
            } else if (j < 2) {
                System.out.println("j<=0");
            }
            System.out.println("i>0");
        } else {
            System.out.println("i<=0");
        }
    }

    static void switchDemo() { //Κώδικας 5.5
        int cV = 2;
        final int con = 3;
        switch (cV) {
            case 1:
                System.out.print("1");
                System.out.println("-case 1");
                break;
            case 2:
                System.out.println("2");
                break;
            case con:
                System.out.println("three");
                break;
            default:
                System.out.println("default");
        }
    }

    static void switchNoBreak() { //Κώδικας 5.6
        int cV = 1;
        final int con = 3;
        switch (cV) {
            case 1:
                System.out.print("1");
            case 2:
                System.out.print("2");
            case con:
                System.out.print("3");
            default:
                System.out.println("default");
        }

    }

    static void switchDefault() { //Κώδικας 5.7
        int cV = 1;
        final int con = 3;
        switch (cV) {
            default:
                System.out.print("default");
            case 1:
                System.out.print("1");
            case 2:
                System.out.print("2");
            case con:
                System.out.println("3");
        }
    }

    static void switchString() { //Κώδικας 5.8
        String monthLabel = "Jan";
        String monthAA = null;
        switch (monthLabel) {
            case "Jan":
                monthAA = "first";
                break;
            case "Feb":
                monthAA = "second";
                break;
            case "Mar":
                monthAA = "third";
                break;
            case "Apr":
                monthAA = "fourth";
                break;
            case "May":
                monthAA = "fifth";
                break;
            case "Jun":
                monthAA = "sixth";
                break;
            case "Jul":
                monthAA = "seventh";
                break;
            case "Aug":
                monthAA = "eighth";
                break;
            case "Sep":
                monthAA = "ninth";
                break;
            case "Oct":
                monthAA = "tenth";
                break;
            case "Nov":
                monthAA = "eleventh";
                break;
            case "Dec":
                monthAA = "twelfth";
        }
        if (monthAA == null) {
            System.out.println("Unkown Month Name: " + monthLabel);
        } else {
            System.out.println(monthLabel + " is the " + monthAA + " month of the year");
        }
    }

    static void ternaryOp() { //Κώδικας 5.9
        int i = 1, j = 2, max;

        max = i > j ? i : j;

        if (i > j) {
            max = i;
        } else {
            max = j;
        }
    }


}
