/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k6.v1;

import java.util.Arrays;

public class OneDimensionArrays {

    static void create() { //Κώδικας 6.1, Κώδικας 6.2
        int[] array;
        array = new int[3];
        array[0] = 1;
        array[1] = 3;
        array[2] = 5;

        for (int i = 0; i < array.length; i++) {
            System.out.println("Η τιμή στην θέση " + i + " είναι " + array[i]);
        }
    }

    static void alterArray() { //Κώδικας 6.3
        int[] array = {1, 3, 5};
        for (int i = 0; i < array.length; i++) {
            System.out.print(array[i] + " ");
            array[i] += 1;
        }
        for (int i = 0; i < array.length; i++) {
            System.out.println(array[i] + " ");
        }
    }

    static void noAlteration() { //Κώδικας 6.4
        int[] array = {1, 3, 5};
        for (int cElement : array) {
            System.out.print(cElement + " ");
            cElement += 1;
        }
        System.out.println();
        for (int i = 0; i < array.length; i++) {
            System.out.print(array[i] + " ");
        }
        System.out.println();
    }

    static void assignArray() { //Κώδικας 6.5
        int[] array = {1, 3, 5};
        int[] table;
        table = array;
        array[1] = 9;
        System.out.println(table[1]);
    }

    static void copyArray() { //Κώδικας 6.6
        int[] array = {1, 3, 5};
        int[] table = new int[array.length];
        for (int i = 0; i < array.length; i++) {
            table[i] = array[i];
        }
        array[1] = 9;
        System.out.println(table[1]);
    }

    public static void arrayCopyDemo() { //Κώδικας 6.7
        char[] copyFrom = {'d', 'e', 'c', 'a', 'f', 'f', 'e', 'i', 'n', 'a', 't', 'e', 'd'};
        char[] copyTo = new char[7];

        System.arraycopy(copyFrom, 2, copyTo, 0, copyTo.length);
        System.out.println(new String(copyTo));
    }

    public static void copyOfRangeDemo() { //Κώδικας 6.8
        char[] copyFrom = {'d', 'e', 'c', 'a', 'f', 'f', 'e', 'i', 'n', 'a', 't', 'e', 'd'};
        char[] copyTo = Arrays.copyOfRange(copyFrom, 2, 9);
        System.out.println(new String(copyTo));
    }

   
}
