/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k6.v1;

import java.util.Arrays;
import java.util.Random;

public class Processing {

    public static void sequentialSearch() { //Κώδικας 6.12
        final int[] store = {4, 7, 9, 13};
        int schElement = 7;
        int idx = -1;
        for (int i = 0; i < store.length; i++) {
            if (store[i] == schElement) {
                idx = i;
                break;
            }
        }
        if (idx >= 0) {
            System.out.println("Ο ακέραιος " + schElement + " βρέθηκε στην θέση " + idx);
        } else {
            System.out.println("Ο ακέραιος " + schElement + " δεν βρέθηκε");
        }
    }

    public static void sequentialSearchReference() { //Κώδικας 6.13
        final String[] store = {"John", "Mary", "Jim", "Kelly"};
        String schElement = new String("Jim");
        int idx = -1;
        for (int i = 0; i < store.length; i++) {
            if (store[i].equals(schElement)) {
                idx = i;
                break;
            }
        }
        if (idx >= 0) {
            System.out.println("Το όνομα " + schElement + " βρέθηκε στην θέση " + idx);
        } else {
            System.out.println("Το όνομα " + schElement + " δεν βρέθηκε");
        }
    }

    public static void max() { //Κώδικας 6.14
        int[] t = {2, 6, 1, 9, 15};
        int max = t[0];
        int idx = 0;
        for (int i = 1; i < t.length; i++) {
            if (t[i] > max) {
                max = t[i];
                idx = i;
            }
        }
        System.out.println("Το μεγαλύτερο στοιχείο είναι το " + max + " και βρίσκεται στην θέση " + idx);
    }

    public static void sum() { //Κώδικας 6.15
        int[] t = {2, 6, 1, 9, 15};
        int sum = 0;
        for (int i = 0; i < t.length; i++) {
            sum += t[i];
        }
        System.out.println("Το άθροισμα είναι " + sum);
    }

    public static void shuffle() { //Κώδικας 6.16
        int[] t = {2, 6, 1, 9, 15};
        Arrays.sort(t);
        System.out.println(Arrays.toString(t));
        Random r = new Random();

        for (int i = 0; i < t.length; i++) {
            int rIdx = r.nextInt(t.length);
            int tmp = t[i];
            t[i] = t[rIdx];
            t[rIdx] = tmp;
        }
        System.out.println(Arrays.toString(t));
    }

    public static void fillRandom() { //Κώδικας 6.17
        int[] t = new int[20];
        Random r = new Random();
        for (int i = 0; i < t.length; i++) {
            t[i] = r.nextInt(100);
        }
        System.out.println(Arrays.toString(t));
    }

}
