/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k7.v1;

import java.text.DecimalFormat;
import java.util.Arrays;

public class StaticFunctions {

    static void seqSearch() { //Κώδικας 7.1
        int[] t1 = {3, 2, 5, 3, 6, 9};
        int[] t2 = {6, 4, 5, 2, 1, 9, 9};
        int sItem = 5;
        sequentialSearch(t1, 9);
        sequentialSearch(t2, sItem);
    }

    static void callSeqSearch() { //Κώδικας 7.2
        int[] t1 = {3, 2, 5, 3, 6, 9};
        int sItem = 5;
        int idx = sequentialSearch(t1, sItem);
        if (idx > -1) {
            t1[idx]++;
        }

    }

    public static int sequentialSearch(int[] array, int sItem) { //Κώδικας 7.3
        for (int i = 0; i < array.length; i++) {
            if (array[i] == sItem) {
                return i;
            }
        }
        return -1;
    }

    static void f(int i) { //Κώδικας 7.4
        System.out.println("f(int)");
    }

    static void f(double d) { //Κώδικας 7.4
        System.out.println("f(double)");
    }

//    public static void main(String[] args) { //Κώδικας 7.4
//        f(1);
//        f(1d);
//    }

    static boolean approximateEquals(double f1, double f2, double epsilon) { //Κώδικας 5.30
        return Math.abs(f2 - f1) < epsilon;
    }

    public static int sequentialSearch(double[] array, double sItem) { //Κώδικας 7.5
        for (int i = 0; i < array.length; i++) {
            if (approximateEquals(array[i], sItem, 0.0001)) {
                return i;
            }
        }
        return -1;
    }

    static void increment(int i) { //Κώδικας 7.6
        i++;
        System.out.println(i);
    }

    /*
    public static void main(String[] args) { //Κώδικας 7.6
        int i = 0;
        increment(i);
        System.out.println(i);
    }
     */
    static void increment(int[] store) { //Κώδικας 7.7
        for (int i = 0; i < store.length; i++) {
            store[i]++;
        }
        System.out.println(Arrays.toString(store));
    }

    /*
    public static void main(String[] args) { //Κώδικας 7.7
        int[] s = {1, 2, 3};
        increment(s);
        System.out.println(Arrays.toString(s));
    }
     */
    static void assign(int[] store) { //Κώδικας 7.8
        int[] s = {4, 5, 6};
        store = s;
        System.out.println(Arrays.toString(store));
    }

    /*
    public static void main(String[] args) { //Κώδικας 7.8
        int[] table = {1, 2, 3};
        assign(table);
        System.out.println(Arrays.toString(table));
    }
     */
    static double average(double... sequence) { //Κώδικας 7.9
        double sum = 0;
        for (int i = 0; i < sequence.length; i++) {
            sum += sequence[i];
        }
        return sum / sequence.length;
    }

    public static void main(String[] args) { //Κώδικας 7.9
        double d1 = 12, d2 = 13.5, d3 = 16.1;
        double av1 = average(d1, 14.5);
        double av2 = average(d1, d2, d3);
        double totalAv = average(av1, av2);
        DecimalFormat f = new DecimalFormat("###.##");
        System.out.println(f.format(av1) + " " + f.format(av2) + " " + f.format(totalAv));
    }
}
