/*
 * Κώδικας 9.15
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k9.x;

public class BinarySearch {

    private static int binarySearch(int[] tbl, int schElement, int from, int to) {
        if (from <= to) {
            int mid = from + (to - from) / 2;
            if (tbl[mid] == schElement) {
                return mid;
            }
            if (schElement < tbl[mid]) {
                return binarySearch(tbl, schElement, from, mid - 1);
            }
            return binarySearch(tbl, schElement, mid + 1, to);
        }
        return -1;
    }

    public static int binarySearch(int[] tbl, int schElement) {
        return binarySearch(tbl, schElement, 0, tbl.length - 1);
    }

}
