package gr.ihu.cs.lmous.OOJ.k9.x;

import java.util.ArrayList;

/**
 *
 * @author Lefteris Moussiades <lmous@teiemt.gr>
 */
public class MegistosKoinosDiaireths {

    static int MKD(int n1, int n2) {

        int lower = n1 < n2 ? n1 : n2;
        if (n1 % lower == 0 && n2 % lower == 0) {
            return lower;
        } else {
            for (int i = 2;; i++) {
                int diaireths = lower / i;
                if (diaireths == 1) {
                    break;
                }
                if (n1 % diaireths == 0 && n2 % diaireths == 0) {
                    return diaireths;
                }
            }
        }
        return 1;
    }

    static int MKDR(int n1, int n2, int i) {
        int diaireths = (n1 < n2 ? n1 : n2) / i;
        if (n1 % diaireths == 0 && n2 % diaireths == 0) {
            return diaireths;
        } else {
            return MKDR(n1, n2, i + 1);
        }
    }

    static int min(int[] nums) {
        int min = nums[0];
        int rslt = 0;
        for (int i = 1; i < nums.length; i++) {
            if (nums[i] < min) {
                min = nums[i];
                rslt = i;
            }
        }
        return rslt;
    }

    static boolean divideAll(int[] nums, int divisor) {
        for (int i = 0; i < nums.length; i++) {
            if (nums[i] % divisor != 0) {
                return false;
            }
        }
        return true;
    }

    static int MKDA(int factor, int... nums) {
        int divisor = nums[min(nums)] / factor;
        if (divideAll(nums,divisor))
            return divisor;
        return MKDA(factor+1, nums);
    }

    static int MKD(int... nums) {
        return MKDA(1,nums);
    }
    static int sum(ArrayList<Integer> source, int startIdx) {
        if (startIdx >= source.size()) {
            return 0;
        }
        int rVal = source.get(startIdx);
        return rVal + sum(source, startIdx + 1);
    }

    public static void main(String[] args) {
        System.out.println(MKD(33, 66, 132, 264));
//        System.out.println(MKDR(25, 325, 1));
//        ArrayList<Integer> s = new ArrayList<>();
//        for (int i = 1; i < 10; i++) {
//            s.add(i);
//        }
//        System.out.println(sum(s, 0));
    }
}
