/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package tmp;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

public class Generics {

    static class A<T> {

        private T local;

        public A(T local) {
            this.local = local;
        }

        public T getLocal() {
            return local;
        }

        public void setLocal(T local) {
            this.local = local;
        }

        @Override
        public String toString() {
            return "A{" + "local=" + local + '}';
        }

        @Override
        public int hashCode() {
            int hash = 3;
            return hash;
        }

        @Override
        public boolean equals(Object obj) {
            if (this == obj) {
                return true;
            }
            if (obj == null) {
                return false;
            }
            if (getClass() != obj.getClass()) {
                return false;
            }
            final A<?> other = (A<?>) obj;
            return Objects.equals(this.local, other.local);
        }
        
        
        
    }

    public static void main(String[] args) {
        A<Number> a=new A<>(1);
        A<Number>[] tbl=new A[5];
        tbl[0]=new A<>(1);
        //System.out.println(tbl[0] instanceof A<Number>);
        System.out.println(tbl[0]);
        List<A<Number>> l=new ArrayList<>();
        l.add(new A<>(1));
       // System.out.println(l.get(0) instanceof A<Number>);
        System.out.println(l.get(0));
        System.out.println(tbl[0].equals(l.get(0)));
    }
}
