package tmp;

public class Test {
    int i=10;

    @Override
    public String toString() {
        return "Test{" + "i=" + i + '}';
    }

    @Override
    public int hashCode() {
        int hash = 7;
        hash = 97 * hash + this.i;
        return hash;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (getClass() != obj.getClass()) {
            return false;
        }
        final Test other = (Test) obj;
        if (this.i != other.i) {
            return false;
        }
        return true;
    }
    
    
    
    public static void main(String[] args) {
        Test a=new Test(), b=new Test();
        System.out.println(a.toString());
        System.out.println(a.equals(b));
        System.out.println(a.hashCode());
        System.out.println(a.getClass().getName());
    }

}
