/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k11.v1.x.we1;

import java.util.ArrayList;

public class Customer extends PersonOld {

    private final int id;
    private final ArrayList<Integer> accounts = new ArrayList<>();

    public Customer(int id, String fName, String sName, Sex sex) {
        super(fName, sName, sex);
        this.id = id;
    }

    void addAccount(int i) {
        if (!accounts.contains(i)) {
            accounts.add(i);
        }
    }
    
    void withdrawal(Bank bank, int accountId,double amount, String description) {
        bank.addTransaction(this,accountId, TType.DEBIT, amount, description);
    }
    
    void deposit(Bank bank, int accountId, double amount, String description) {
        bank.addTransaction(this,accountId, TType.CREDIT, amount, description);
    }

    public ArrayList<Integer> getAccounts() {
        return accounts;
    }

    public int getAccount(int AA) {
        if (AA<accounts.size())
            return accounts.get(AA);
        return -1;
    }
    
    public int getId() {
        return id;
    }

   public String getName() {
       return super.getfName()+" "+super.getsName();
   }
   
   void getInfo(Bank bank) {
       bank.report(this);
   }
    

}
