/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */

package gr.ihu.cs.lmous.OOJ.k11.v1.x.we1;

import java.util.Scanner;

public class UI {
    private static final Scanner input=new Scanner(System.in);
    
    public static boolean createAccount(Customer c) {
        
        System.out.print("Γειά σου "+c.getName()+".\nΘέλεις να δημιουργήσεις λογαριασμό Y/N? ");
        String answer=input.next();
        System.out.println("");
        return answer.equalsIgnoreCase("Y");
    }
    
    public static AccountType accountType() {
        System.out.print("Προθεσμιακό ή Ταμιευτηρίου? ");
        String answer=input.next();
        if (answer.equalsIgnoreCase("p"))
            return AccountType.PROTHESMIAKOS;
        if (answer.equalsIgnoreCase("T"))
            return AccountType.PROTHESMIAKOS;
        return null;
    }
    
    public static void accountFail() {
        System.out.println("Αποτυχία δημιουργίας Λογαρισμού");
    }

    public static void prtAccount(Account account) {
        System.out.println(account);
    }
    
    public static void prtString(String s) {
        System.out.println(s);
    }
    
    public static void prtBalance(double balance) {
        System.out.println("Υπόλοιπο = "+balance);
    }
    
    public static String dikaiouxoiStr() {
        return "Δικαιούχοι";
    }
    
    public static void endAccount() {
        System.out.println("--------------------------------------");
        System.out.println("");
    }
}
