/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k12.v1;

import gr.ihu.cs.lmous.OOJ.k11.v1.x.we1.PersonOld;
import java.util.ArrayList;

public class ArrayListDemo {

    static void constructors() {
        ArrayList<String> l1 = new ArrayList<>();
        ArrayList<PersonOld> l2 = new ArrayList<>();
        ArrayList<String> l3 = new ArrayList<>(30);
        ArrayList<String>[] t = new ArrayList[10];
        t[0]=new ArrayList<>();
        t[0].add("Hello");
    }

    static void functions() {
        ArrayList<StringBuilder> l1 = new ArrayList<>();
        StringBuilder s1 = new StringBuilder("Ann");
        StringBuilder s2 = new StringBuilder("Christian");
        StringBuilder s3 = new StringBuilder("Bill");
        l1.add(s1);
        l1.add(s2);
        l1.add(1, s3);

        System.out.println(l1);

        ArrayList<StringBuilder> l2 = (ArrayList<StringBuilder>) l1.clone();
        l2.add(new StringBuilder("David"));
        System.out.println(l2);
        l2.get(0).reverse();
        System.out.println(l1);
        System.out.println(l2);
        System.out.println(l2.indexOf(s3));
        l2.clear();
        System.out.println("l1= " + l1);
        System.out.println("l2= " + l2);
        l2 = (ArrayList<StringBuilder>) l1.clone();
        l2.remove(s1);
        System.out.println("l1= " + l1);
        System.out.println("l2= " + l2);
        l1.isEmpty();
        l1.set(0, s1.reverse());
        System.out.println(l1);
        StringBuilder[] t = l1.toArray(new StringBuilder[0]);
        System.out.println(l1.size());
        ArrayList<StringBuilder> l4 = new ArrayList<StringBuilder>(l1.subList(1, 2));
        System.out.println(l4);
    }

    static void usage() { //Κώδικας 12.3
        ArrayList<String> l = new ArrayList<>();
        l.add("1");
        l.add("2");
        l.add("4");
        l.add(2, "3");

        for (int idx = 0; idx < l.size(); idx++) {
            System.out.print(l.get(idx));
        }
        System.out.print("-");
        l.remove("2");
        System.out.println(l);
    }

    public static void main(String[] args) {
        usage();
//        ArrayList<String>[] t = new ArrayList[10];
//        t[0]=new ArrayList<>(30);
//        t[0].add("Hello");
//        System.out.println(t[0].get(0));

    }

}
