/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k12.v1.time;

import java.time.LocalDate;
import java.time.Month;
import java.time.Period;

public class PeriodDemo {

    static void usage() { //Κώδικας 12.12
        Period p = Period.of(0, 3, 10),
                p1 = Period.of(3, 1, 40);
        System.out.println(Period.ofWeeks(6));
        System.out.println(Period.ofDays(60));
        System.out.println(Period.ofMonths(3));
        System.out.println(Period.ofYears(2));

        LocalDate today = LocalDate.now();
        LocalDate myBirthday = LocalDate.of(1981, Month.DECEMBER, 15);
        Period myAge = Period.between(myBirthday, today);
        System.out.println(myAge);

        Period fiveMonths = Period.ofMonths(5);
        LocalDate afterFiveMonths = today.plus(fiveMonths);
        System.out.println(afterFiveMonths);
    }

    public static void main(String[] args) {
        usage();
    }
}
