package gr.ihu.cs.lmous.OOJ.k12.v1.x;

import gr.ihu.cs.lmous.OOJ.k11.v1.x.*;
import java.util.ArrayList;
import java.util.Collections;

/**
 *
 * @author Lefteris Moussiades
 */
public class Deck {

    private final ArrayList<Card> deck;

    public Deck() { //Κώδικας 12.18 
        deck = new ArrayList<>(52);
        for (CardRank r : CardRank.values()) {
            for (Suit s : Suit.values()) {
                deck.add(new Card(r, s));
            }
        }
    }

    public void shuffle() {
        Collections.shuffle(deck);
    }

    public boolean empty() {
        return deck.isEmpty();
    }

    public Card pickCard() {
        return deck.remove(0);
    }

    @Override
    public String toString() {
        return deck.toString();
    }

    public static void main(String[] args) {
        Deck d1 = new Deck();
        Deck d2 = new Deck();
         for (int i = 0; i < 24; i++) {
            d1.pickCard();
        }
        System.out.println(d1);
        System.out.println("");
        d2.shuffle();
        System.out.println(d2);
    }
}
