/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k13.v1.x;

import java.math.BigDecimal;
import java.time.LocalDate;

public class Contributor extends Employee { //Κώδικας 13.28

    private int workingHours;
    private BigDecimal paymentPerHour;

    public Contributor(BigDecimal paymentPerHour, String id, String fName, String sName, LocalDate birthday) {
        super(id, fName, sName, birthday);
        this.paymentPerHour = paymentPerHour;
    }

    public void setWorkingHours(int workingHours) {
        this.workingHours = workingHours;
    }

    @Override
    public BigDecimal earnings() {
        return paymentPerHour.multiply(new BigDecimal(workingHours));
    }

}
