/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k13.v1.x2;

import java.util.ArrayList;
import java.util.Scanner;

public class Quiz { //Κώδικας 13.24

    static ArrayList<Question> test = new ArrayList<>();

    private static void setUpQuestions() {
        test.add(new TrueFalse("Η γάτα είναι κατοικίδιο", true));
        test.add(new TrueFalse("Ο σκύλος δεν εξημερώνεται", false));
        test.add(new MultipleChoice("Ο καλύτερος φίλος του ανθρώπου είναι ο", "C", "όφις", "άλογο", "σκύλος"));
        test.add(new MultipleChoice("H for είναι", "B", "δομή ελέγχου", "επαναληπτική διαδικασία", "αναδρομική συνάρτηση"));
    }

    public static void main(String[] args) {
        Scanner in = new Scanner(System.in);
        setUpQuestions();
        for (Question q : test) {
            System.out.print(q.getQuestion());
            System.out.print("Εισάγετε την απάντηση: ");
            String userAnswer = in.next();
            if (q.evaluateAnswer(userAnswer)) {
                System.out.println("Σωστή απάντηση");
            } else if (q instanceof MultipleChoice) {
                System.out.println("Λάθος Απάντηση. Σωστή απάντηση η " + ((MultipleChoice) q).getCorrectAnswer());
            } else {
                System.out.println("Λάθος Απάντηση");
            }
            System.out.println();
        }

    }

}
