/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k13.v1.x3;

import java.text.DecimalFormat;
import java.text.DecimalFormatSymbols;
import java.util.ArrayList;

public class CalcAreas {

    public static void main(String[] args) {//Κώδικας 13.20
        ArrayList<Shape> shapes = new ArrayList<>();
        shapes.add(new Circle(4.5));
        shapes.add(new Circle(6));
        shapes.add(new Rectangle(3.8, 5));
        shapes.add(new Rectangle(6, 2.6));
        shapes.add(new Square(9));
        shapes.add(new Square(3));
        shapes.add(new Triangle(4.4, 2));
        shapes.add(new Triangle(4.4, 2.2));
        DecimalFormatSymbols dfs = new DecimalFormatSymbols();
        dfs.setDecimalSeparator('.');
        dfs.setGroupingSeparator(',');
        DecimalFormat f = new DecimalFormat("######.###");
        f.setDecimalFormatSymbols(dfs);

        for (Shape shape : shapes) {
            System.out.println(shape + ", εμβαδόν: " + f.format(shape.getArea()));
        }
    }

}
