/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k14_1.v1;

import gr.ihu.cs.lmous.OOJ.k12.v1.x.Person;
import java.time.LocalDate;
import java.time.Month;
import java.util.ArrayList;
import java.util.Iterator;

public class IteratorDemo { //Κώδικας 14.1

    public static ArrayList<Person> loadData() {
        ArrayList<Person> rVal = new ArrayList<>();
        rVal.add(new Person("10", "Jim", "Smith", LocalDate.of(1961, Month.JANUARY, 1)));
        rVal.add(new Person("20", "Adam", "Smith", LocalDate.of(1965, Month.JANUARY, 1)));
        rVal.add(new Person("1", "John", "Black", LocalDate.of(1971, Month.JANUARY, 1)));
        rVal.add(new Person("2", "John", "Dalton", LocalDate.of(1965, Month.JANUARY, 1)));
        rVal.add(new Person("12", "Bill", "Adams", LocalDate.of(1965, Month.JANUARY, 5)));
        rVal.add(new Person("6", "Averell", "Dalton", LocalDate.of(1972, Month.JANUARY, 1)));
        rVal.add(new Person("7", "John", "Cyan", LocalDate.of(1980, Month.JANUARY, 1)));
        return rVal;
    }

    public static void main(String[] args) {
        ArrayList<Person> store = loadData();
        Iterator<Person> it = store.iterator();
        while (it.hasNext()) {
            System.out.println(it.next());
        }
    }
}
