/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k14_1.v1;

import gr.ihu.cs.lmous.OOJ.k12.v1.x.Person;
import java.util.Comparator;
import java.util.Iterator;
import java.util.List;

public class TwoLevelComparison {

    private static class CompareBySName_FName implements Comparator<Person> {

        @Override
        public int compare(Person p1, Person p2) {
            int rVal=p1.getsName().compareTo(p2.getsName());
            if (rVal==0)
                rVal=p1.getfName().compareTo(p2.getfName());
            return rVal;
        }
    }

    public static void main(String[] args) {
        List<Person> store = PolymorphismDemo.loadData();
        store.sort(new CompareBySName_FName());
        Iterator<Person> it = store.iterator();
        while (it.hasNext()) {
            System.out.println(it.next());
        }

    }
}
