/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k14_1.v1.x1;

import java.util.ArrayList;
import java.util.Iterator;

public class TwoDimensionalList {

    ArrayList<ArrayList<Integer>> store;

    public TwoDimensionalList(int rows, int clmns) {
        store = new ArrayList<>();
        for (int i = 0; i < rows; i++) {
            ArrayList<Integer> cL = new ArrayList<>();
            store.add(cL);
            for (int j = 0; j < clmns; j++) {
                cL.add(i * clmns + j);
            }
        }
    }

    private class TDIterator implements Iterator<Integer> {

        int idx = 0;
        Iterator<Integer> currentIterator = store.get(idx).iterator();

        @Override
        public boolean hasNext() {
            boolean hasNext = currentIterator.hasNext();
            if (idx == store.get(idx).size() - 1) {
                return hasNext;
            } else if (idx < store.get(idx).size() && !hasNext) {
                currentIterator = (Iterator<Integer>) store.get(++idx).iterator();
                return currentIterator.hasNext();
            }
            return hasNext;
        }

        @Override
        public Integer next() {
            return currentIterator.next();
        }
    }

    public Iterator<Integer> iterator() {
        return new TDIterator();
    }

    public static void main(String[] args) {
        TwoDimensionalList list = new TwoDimensionalList(5, 5);
        Iterator<Integer> it = list.iterator();
        while (it.hasNext()) {
            System.out.println(it.next());
        }
    }

}
