/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k15.v1;

import java.io.File;
import java.io.FileNotFoundException;
import java.io.IOException;
import java.io.PrintWriter;
import java.util.Locale;
import java.util.Scanner;

public class ScannerDemo { //Κώδικας 15.1

    private static final String DOUBLEDATA = "data"+File.separator+"doubledata.dat";

    public static void createDoubleData() throws IOException {
        PrintWriter out = new PrintWriter(DOUBLEDATA);
        for (double d = 0.5; d < 10; d += 0.4) {
            if (d >= 5 && d < 5.5) {
                out.println();
            }
            out.printf(Locale.US, "%5.1f", d);
        }
        out.close();
    }

    public static void readDoubles() throws FileNotFoundException {
        File file = new File(DOUBLEDATA);
        Scanner scanner = new Scanner(file);
        System.out.println(file.getAbsolutePath());
        scanner.useLocale(Locale.US);
        while (scanner.hasNextDouble()) {
            System.out.println(scanner.nextDouble());
        }
        scanner.close();
    }

    public static void readLines() throws FileNotFoundException {
        File file = new File(DOUBLEDATA);
        Scanner scanner = new Scanner(file);
        scanner.useLocale(Locale.US);
        while (scanner.hasNextLine()) {
            System.out.println(scanner.nextLine());
        }
        scanner.close();
    }

    public static void main(String[] args) throws IOException {
        createDoubleData();
        readDoubles();
        readLines();
    }

}
