/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k15.v1;

import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.util.ArrayList;

public class Serialization {//Κώδικας 15.8

    static ArrayList<Car> createCars() {
        ArrayList<Car> store = new ArrayList<>();
        store.add(new Car("Toyota", 220));
        store.add(new Car("Ford", 230));
        store.add(new Car("Peugeot", 240));
        return store;
    }

    static void saveCars() throws IOException {
        ArrayList<Car> cars = createCars();
        ObjectOutputStream out = new ObjectOutputStream(new FileOutputStream("data\\cars.dat"));
        out.writeObject(cars);
        out.close();
    }

    static ArrayList<Car> loadCars() throws IOException, ClassNotFoundException {
        ObjectInputStream in = new ObjectInputStream(
                new FileInputStream("data\\cars.dat"));
        ArrayList<Car> loaded = (ArrayList<Car>) in.readObject();//essential unsafe operation
        in.close();
        return loaded;
    }

    public static void main(String[] args) throws IOException, ClassNotFoundException {
        saveCars();
        ArrayList<Car> store = loadCars();
        System.out.println(store);
    }
}
