package gr.ihu.cs.lmous.OOJ.k17.v1;

class OneTypeParam<T> { //Κώδικας 17.2

    private T t;

    public OneTypeParam(T t) {
        this.t = t;
    }

    public void setT(T t) {
        this.t = t;
    }

    public T getT() {
        return t;
    }
}

class TwoTypeParam<K, V> { //Κώδικας 17.3

    private K key;
    private V value;

    public TwoTypeParam(K key, V value) {
        this.key = key;
        this.value = value;
    }

    public K getKey() {
        return key;
    }

    public V getValue() {
        return value;
    }

    public void setKey(K key) {
        this.key = key;
    }

    public void setValue(V value) {
        this.value = value;
    }
}

public class GenDefinition {

    public static void main(String[] args) {
        OneTypeParam<String> oTP = new OneTypeParam<>("Jim");
        String s = oTP.getT();
        TwoTypeParam<String, Integer> tTP=new TwoTypeParam<>("Jim",120);
        String n=tTP.getKey();
        int score=tTP.getValue();
        TwoTypeParam<Integer,OneTypeParam<String>> t=new TwoTypeParam<>(5,new OneTypeParam<>("Jim"));
    }

}
