/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k18.v1;

import gr.ihu.cs.lmous.OOJ.k12.v1.x.Person;
import static gr.ihu.cs.lmous.OOJ.k14_1.v1.PolymorphismDemo.loadData;
import static gr.ihu.cs.lmous.OOJ.k18.v1.Predicates.prt;
import java.util.List;
import java.util.function.Function;
import java.util.function.Supplier;

/**
 *
 * @author lmous
 */
public class MethodReferences {

    static boolean isOlder(Person p) {
        return p.getAge() > 50;
    }

    static boolean between40And55(Person p) {
        return p.getAge() >= 40 && p.getAge() <= 55;
    }

    static void constructorReferences() {
        //Supplier<String> newString = () -> new String();
        Supplier<String> newString = String::new;
        System.out.println(newString.get());
        
        Function<String, String> s=String::new;
        System.out.print(s.apply("Hello"));
        System.out.println(s.apply(" Mike"));
    }

    
    public static void main(String[] args) {
        constructorReferences();
//        List<Person> list = loadData();
//        prt(list, MethodReferences::isOlder);
//        System.out.println("----------");
//        prt(list, MethodReferences::between40And55);
    }
}
