/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k18.v1;

import gr.ihu.cs.lmous.OOJ.k12.v1.x.Person;
import static gr.ihu.cs.lmous.OOJ.k14_1.v1.PolymorphismDemo.loadData;
import java.util.Iterator;
import java.util.List;
import java.util.function.Predicate;

/**
 *
 * @author lmous
 */
public class Predicates {

    static void prt(List<Person> list, Predicate<Person> choice) { //Κώδικας 18.1
        Iterator<Person> it = list.iterator();
        while (it.hasNext()) {
            Person p = it.next();
            if (choice.test(p)) {
                System.out.println(p + " " + p.getAge());
            }
        }
    }

    static void examples(List<Person> list) {
        prt(list, p->true);
        System.out.println("-----------");
        prt(list, p->p.getsName().equals("Smith"));
        System.out.println("-----------");
    }

    public static void main(String[] args) { //Κώδικας 18.4
        List<Person> list = loadData();
        prt(list, t -> t.getAge() > 50);
        System.out.println("----------");
        prt(list, t -> t.getAge() >= 40 && t.getAge() <= 55);
    }

}
