/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k3.v1;

public class NativeTypes {

    static void byteDemo() { //Κώδικας 3.1
        System.out.println("Size of byte is " + Byte.SIZE + " bits");
        byte bMin = Byte.MIN_VALUE, bMax = Byte.MAX_VALUE, bLiteral = 123;
        System.out.println("bMin equals to " + bMin);
        System.out.println("bMax equals to " + bMax);
        System.out.println("bLiteral equals to " + bLiteral);
    }

    static void shortDemo() { //Κώδικας 3.2
        short s = Short.MIN_VALUE, s1 = Short.MAX_VALUE, s2 = 399;
        System.out.println("short s equals to " + s);
        System.out.println("short s1 equals to " + s1);
        System.out.println("short s2 equals to " + s2);
        System.out.println("Size of short is " + Short.SIZE + " bits");
    }

    static void intDemo() { //Κώδικας 3.3
        int iMin = Integer.MIN_VALUE,
                iMax = Integer.MAX_VALUE, iLiteral = 43127;
        System.out.println("int iMin equals to " + iMin);
        System.out.println("int iMax equals to " + iMax);
        System.out.println("int iLiteral equals to " + iLiteral);
        System.out.println("Size of int is " + Integer.SIZE + " bits");
    }

    static void longDemo() { //Κώδικας 3.4
        long lMin = Long.MIN_VALUE,
                lMax = Long.MAX_VALUE, lLiteral = 2_147_483_699L;
        System.out.println("long lMin equals to " + lMin);
        System.out.println("long lMax equals to " + lMax);
        System.out.println("long lLiteral equals to " + lLiteral);
        System.out.println("Size of long is " + Long.SIZE + " bits");
    }

    static void floatDemo() { //Κώδικας 3.5
        float fMin = Float.MIN_VALUE, fMax = Float.MAX_VALUE, fLit = 3.15f;
        System.out.println("float fMin equals to " + fMin);
        System.out.println("float fMax equals to " + fMax);
        System.out.println("float fLit equals to " + fLit);
        System.out.println("Size of float is " + Float.SIZE + " bits");
    }

    static void doubleDemo() { //Κώδικας 3.6
        double dMin = Double.MIN_VALUE, dMax = Double.MAX_VALUE, dLit = 3.4028235E38;
        System.out.println("double dMin equals to " + dMin);
        System.out.println("double dMax equals to " + dMax);
        System.out.println("double dLit equals to " + dLit);
        System.out.println("Size of double is " + Double.SIZE + "bits");
    }

    static void booleans() { //Κώδικας 3.7
        boolean b1 = true, b2 = false;
        System.out.println("b1 equals to " + b1);
        System.out.println("b2 equals to " + b2);
    }

    static void charDemo() { //Κώδικας 3.8
        char cMin = Character.MIN_VALUE, cMax = Character.MAX_VALUE, cLit = 'A', c = '\u0043';
        System.out.println(cMin + " " + (int) cMin);
        System.out.println(cMax + " " + (int) cMax);
        System.out.println(c + " " + (int) c);
        System.out.println(cLit + " " + (int) cLit);
        System.out.println((char) (cLit + 1));
    }

    static void overflow() { //Κώδικας 3.10
        int i = Integer.MAX_VALUE;
        i = i + 1;
        System.out.println(i);
        System.out.println(Integer.MIN_VALUE - 1);
    }

    static void notOverflow() { //Κώδικας 3.11
        int i = Integer.MAX_VALUE;
        long k = (long) i + 1;
        System.out.println(k);
    }

    public static void main(String[] args) {
        //byteDemo();
        //shortDemo();
        //intDemo();
        //longDemo();
        //floatDemo();
        //doubleDemo();
        overflow();

    }
}
