/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k5.x;

import java.util.Random;
import java.util.Scanner;

public class X {

    static void simpleForwithDouble() { //Κώδικας 5.28
        for (double i = 0; i <= 10; i += 0.1) {
            System.out.println(i);
        }
    }

    static void prtRealsConditional() { //Κώδικας 5.29
        for (int i = 0; i <= 100; i += 4) {
            if (i % 6 == 0 && i % 8 == 0) {
                System.out.println(i);
            }
        }
    }

    static boolean approximateEquals(double f1, double f2, double epsilon) { //Κώδικας 5.30
        return Math.abs(f2 - f1) < epsilon;
    }

    static void search() { //Κώδικας 5.30
        int cnt = 0;
        for (int i = 0; i < 1000; i += 3) {
            if (approximateEquals(Math.sqrt(i) % 1, 0, 0.00001d)) {
                System.out.print(i + " ");
                cnt++;
            }
        }
        System.out.println();
        System.out.println("Ta teleia tetragwna twn pollaplasiwn tou 3 apo 0..1000 einai " + cnt);
    }

    static void decodeDaySeason() { //Κώδικας 5.31
        Scanner in = new Scanner(System.in);
        System.out.print("Εισάγετε ΑΑ ημέρας: ");
        int day = in.nextInt();
        System.out.print("Εισάγετε ΑΑ εποχής: ");
        int season = in.nextInt();
        in.close();
        String message = "";
        if (day < 1 || day > 7 || season < 1 || season > 4) {
            message = "Unkown Value";
        } else {
            switch (day) {
                case 1:
                    message = "Sunday";
                    break;
                case 2:
                    message = "Monday";
                    break;
                case 3:
                    message = "Tuesday";
                    break;
                case 4:
                    message = "Wensday";
                    break;
                case 5:
                    message = "Thursday";
                    break;
                case 6:
                    message = "Friday";
                    break;
                case 7:
                    message = "Saturday";
                    break;
            }
            switch (season) {
                case 1:
                    message += " Spring";
                    break;
                case 2:
                    message += " Summer";
                    break;
                case 3:
                    message += " Autumn";
                    break;
                case 4:
                    message += " Winter";
                    break;
            }
        }
        System.out.println(message);
    }

    static void prwtos() { //Κώδικας 5.32
        Scanner in = new Scanner(System.in);
        System.out.print("Εισάγετε ακέραιο: ");
        int k = in.nextInt();
        in.close();

        boolean isPrwtos = k >= 2;
        if (isPrwtos) {
            for (int i = 2; i <= k / 2; i++) {
                if (k % i == 0) {
                    isPrwtos = false;
                    break;
                }
            }
        }
        if (isPrwtos) {
            System.out.println(k + " είναι πρώτος");
        } else {
            System.out.println(k + " δεν είναι πρώτος");
        }
    }

    static void printReversedAlphabet() { //Κώδικας 5.33
        for (int i = 0; i < 100; i++) {
            for (char c = 'z'; c >= 'a'; c--) {
                System.out.print(c + " ");
            }
            System.out.println();
        }
    }

    static void printReversedAlphabet2() { //Κώδικας 5.33
        int i = 0;
        while (i++ < 100) {
            char c = 'z';
            do {
                System.out.print(c + " ");
                c--;
            } while (c >= 'a');
            System.out.println();
        }
    }

    static void ekthetikiExiswsi() { //Κώδικας 5.34
        boolean solutionFound = false;

        for (int a = 0; a < 20; a++) {
            for (int b = 0; b < 20; b++) {
                for (int c = 0; c < 20; c++) {
                    double rslt = Math.pow(2, a) * Math.pow(3, b) * Math.pow(5, c);
                    if (approximateEquals(rslt, 22500, 0.000001)) {
                        solutionFound = true;
                        System.out.println("a=" + a + ", b=" + b + ", c=" + c);
                        break;
                    }
                }
            }
        }
        if (!solutionFound) {
            System.out.println("Δεν βρέθηκε λύση");
        }
    }

    static void chkBoolean() { //Χωρίς λεζάντα, Άσκηση 5.19
        Random r = new Random();
        boolean b = r.nextBoolean();
        if (b == true) {
            System.out.println("Επιτυχία!");
        } else {
            System.out.println("Αποτυχία");
        }
    }

    static void chkBoolean2() { //Χωρίς λεζάντα, Άσκηση 5.20
        Random r = new Random();
        boolean b = r.nextBoolean();
        if (b) {
            System.out.println("Επιτυχία!");
        } else {
            System.out.println("Αποτυχία");
        }
    }

    static void bugAlphabet() { //Χωρίς λεζάντα, Άσκηση 5.19
        for (char c = 'z'; c >= 'a'; c--) {
            System.out.print(c + ' ');
        }
    }

    public static void main(String[] args) {
        bugAlphabet();
    }

    public static void xEx1() {
        for (int i = 0, j = 1; i < 10 || i < j; i++) {
            j += i;
            if (i % 3 == 0) {
                j = 0;
            }
            System.out.print("(" + i + ", " + j + ") ");
        }
        System.out.println();
    }

    public static void xEx2() {
        int k = 3;
        if (k == 3) {
            System.out.print(3 + " ");
        }
        if (k == 4 || k == 3) {
            System.out.print(4 + " ");
        } else if (k == 5) {
            System.out.print(5 + " ");
        } else {
            System.out.print("unkown");
        }
        System.out.println();
    }

}
