/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k6.x;

import java.util.Arrays;

public class X {

    static void selectionSort(String[] args) { //Κώδικας 6.18
        int[] tbl = {2, 1, 6, 3, 4, 9, 8, 5, 7, 4};
        for (int i = 0; i < tbl.length - 1; i++) {
            int min = tbl[i];
            int idx = i;
            for (int j = i + 1; j < tbl.length; j++) {
                if (tbl[j] < min) {
                    min = tbl[j];
                    idx = j;
                }
            }

            if (idx != i) {
                int tmp = tbl[i];
                tbl[i] = tbl[idx];
                tbl[idx] = tmp;
            }
        }
        System.out.println(Arrays.toString(tbl));
    }

    public static void binarySearch() { //Κώδικας 6.19
        int[] tbl = new int[]{1, 3, 4, 5, 7, 9, 11, 23, 34, 50};
        int idx = -1;
        final int schElement = 24;
        int from = 0, to = tbl.length - 1, mid = (to - from) / 2;
        while (to >= from) {
            if (tbl[mid] == schElement) {
                idx = mid;
                break;
            } else if (schElement < tbl[mid]) {
                to = mid - 1;
            } else {
                from = mid + 1;
            }
            mid = from + (to - from) / 2;
        }
        if (idx == -1) {
            System.out.println("Element " + schElement + " was not found");
        } else {
            System.out.println("Element " + schElement + " found at position " + idx);
        }
    }

    public static void stringEquality() { //Κώδικας 6.20
        String[] tbl1 = new String[]{new String("John"), "Maria", "Kely"};
        String[] tbl2 = {"John", "Kely", "Maria"};
        boolean equal = tbl1.length == tbl2.length;
        for (int i = 0; i < tbl1.length && equal; i++) {
            boolean found = false;
            for (String cName : tbl2) {
                if (tbl1[i].equals(cName)) {
                    found = true;
                    break;
                }
            }
            equal = found;
        }
        System.out.println(equal);
    }

    public static void reverse() { //Κώδικας 6.21
        int[] tbl = {1, 2, 3, 14, 5, 6, 7, 8, 9};
        int[] reversed = new int[tbl.length];
        for (int i = 0; i < tbl.length; i++) {
            reversed[tbl.length - 1 - i] = tbl[i];
        }
        System.out.print(Arrays.toString(reversed));
    }

    public static void merge() { //Κώδικας 6.22
        int[] t1 = {1, 2, 3, 4, 5}, t2 = {6, 7, 8, 9};
        int[] rVal = new int[t1.length + t2.length];
        System.arraycopy(t1, 0, rVal, 0, t1.length);
        System.arraycopy(t2, 0, rVal, t1.length, t2.length);
        System.out.println(Arrays.toString(rVal));
    }

    public static void copy() { ////Κώδικας 6.23
        char[][] copyFrom = {
            {'d', 'e'},
            {'c', 'a', 'f', 'f', 'e', 'i', 'n'},
            {'a', 't', 'e', 'd'}
        };
        char[][] copyTo = new char[3][];
        copyTo[2] = new char[]{'l', 'i', 'k', 'e'};
        System.arraycopy(copyFrom, 1, copyTo, 0, 2);
        for (char[] aElement : copyTo) {
            System.out.println(Arrays.toString(aElement));
        }
    }

    static void resize() { //Κώδικας 6.24
        int[] t={1,2,3,4,5,6};
        int newSize=4;
        int[] tmp=new int[newSize];
        System.arraycopy(t, 0, tmp, 0, t.length<newSize?t.length:newSize);
        t=tmp;
        System.out.println(Arrays.toString(t));
    }
    
    public static void main(String[] args) {
        resize();
    }
}
