/*
 * Κώδικας 8.7
 * 
 */

package gr.ihu.cs.lmous.OOJ.k8.v1;

import gr.ihu.cs.lmous.OOJ.k7.v1.StaticFunctions;
import java.util.Arrays;

public class Debugging {
    
    static int[] resize(int[] in, int newSize) {
        int[] rVal=new int[newSize];
        for (int i=0; i<in.length && i<rVal.length; i++)
            rVal[i]=in[i];
        return rVal;
    }
    
    static int[] createSet(int... elements) {
        int[] set=new int[elements.length];
        int setIdx=0;
        for (int element:elements) {
            int idx=StaticFunctions.sequentialSearch(set, element);
            if (idx<0)
                set[setIdx++]=element;
        }
        resize(set, setIdx);
        return set;
    }

    static int[] union(int[] set1, int[] set2) {
        int[] union=new int[set1.length+set2.length];
        System.arraycopy(set1, 0, union, 0, set1.length);
        System.arraycopy(set2, 0, union, set1.length, set2.length);
        return createSet(union);
    }
    
    public static void main(String[] args) {
        int[] set1=createSet(2,4,6,3), set2=createSet(3,5,7,2);
        int[] union=union(set1, set2);
        System.out.println(Arrays.toString(union));
    }
}
