package gr.ihu.cs.lmous.OOJ.k9.v1;

import java.util.Random;

/**
 *
 * @author Lefteris Moussiades
 */
public class IntroToRecursion {

    static int cnt = 0;

    static void endless(int i) { //Κώδικας 9.2
        System.out.println(i);
        endless(i + 1);
    }

    static void withEnd(int i) { //Κώδικας 9.3
        System.out.println(i);
        if (i < 3) {
            withEnd(i + 1);
        }
    }

    static void prt(int i) { // Κώδικας 9.5 prt(1) 123321
        System.out.print(i);   //1 2 3 3 2 1
        if (i < 3) {
            prt(i + 1);
        }
        System.out.print(i);
    }

    static double pow(double b, int e) {
        if (e > 0) { //pow(2,1)
            return pow(b, e - 1) * b; 
        }
        return 1;
    }

    static double power(double b, int e) { //Κώδικας 9.6
        if (e > 0) {
            return power(b, e - 1) * b;
        }
        if (e < 0) {
            return 1 / power(b, -e);
        }
        return 1;
    }

    static int fibonacci(int n) { //Κώδικας 9.4
        if (n < 0) {
            throw new RuntimeException();
        }
        if (n <= 1) { //f(3)=f(2)+f(1)=f(1)+f(0)+1=1+0+1=2
            return n;
        } else {
            return fibonacci(n - 1) + fibonacci(n - 2);
        }
    }

    static int fibonacciΑ(int n) { //auxiliary
        if (n == 2) {
            cnt++;
        }
        if (n < 0) {
            throw new RuntimeException();
        }
        if (n <= 1) {
            return n;
        } else {
            return fibonacciΑ(n - 1) + fibonacciΑ(n - 2);
        }
    }

    static int factorial(int n) { //Κώδικας 9.10
        if (n == 0 || n == 1) {
            return 1;
        } else {
            return factorial(n - 1) * n;
        }
    }

    static void exam() { //Κώδικας 9.8
        Random generator = new Random();
        int mark = generator.nextInt(10) + 1;
        evaluate(mark);
    }

    static void evaluate(int mark) { //Κώδικας 9.8
        System.out.print("Your mark is: " + mark);
        if (mark >= 7) {
            System.out.println(" Success");
        } else {
            System.out.println(" Fail");
            exam();
        }
    }

    public static void main(String[] args) {

//                endless(0);
//        withEnd(Integer.MIN_VALUE);
//        for (int e = -8; e <= 8; e++) {
//            System.out.println(power(2, e));
//        }
//
//        prt(1);
//        exam();
        fibonacci(20);
//        System.out.println(cnt);
//        System.out.println(fibonacci(5));
//        System.out.println(factorialR(19));
//        int k = power(2, 3);
//        System.out.println(power(2, 5));
//        System.out.println(power(900.5, -36));
//        System.out.println(Math.pow(900.5, -36));
    }

}
