/*
 * Here comes the text of your license
 * Each line should be prefixed with  * 
 */
package gr.ihu.cs.lmous.OOJ.k9.x;

import gr.ihu.cs.lmous.OOJ.k8.v1.ADiceGame;

public class Alytes {

    static double squareRootAux(double square, double guess) {
        if (ADiceGame.approximateEquals(Math.pow(guess, 2), square)) {
            return guess;
        }
        return squareRootAux(square, (guess + square / guess) / 2);
    }

    static double sumIToN(int i, int n) {
        if (i > 1) {
            return sumIToN(i - 1, n) + 1d / i;
        }
        return 1;
    }

    static void prtSquareRoots(double i, int n) {
        double base=i;
        for (int p=1; p<n; p++) {
            i=Math.pow(base, p);
            if (p<=n) {
                System.out.print(" SR of "+i+" == ");
                System.out.printf("%-10.2f%n", squareRootAux(i, i/2));
            }
        }
    }

        
    public static void main(String[] args) {
        ADiceGame.EPSILON=0.0000000000001;
        //System.out.println(sumIToN(4,4));
        prtSquareRoots(2, 8);
        //System.out.println(squareRootAux(36, 5));
    }

}
