package tmp;

import java.util.Objects;

public class Car {

    private int kybismos;
    private String type;
    private double katanalwsh;

    public Car(int kybismos, String type, double katanalwsh) {
        if (kybismos <=0 || katanalwsh <=0) 
            throw new RuntimeException();
        this.kybismos=kybismos;
        this.type=type;
        this.katanalwsh=katanalwsh;
    }

    public int getKybismos() {
        return kybismos;
    }

    public String getType() {
        return type;
    }

    public double getKatanalwsh() {
        return katanalwsh;
    }

    public void setKybismos(int kybismos) {
        if (kybismos<=0)
            throw new RuntimeException();
        this.kybismos = kybismos;
    }

    public void setType(String type) {
        this.type = type;
    }

    public void setKatanalwsh(double katanalwsh) {
        if (katanalwsh<=0)
            throw new RuntimeException();
        this.katanalwsh = katanalwsh;
    }

    @Override
    public String toString() {
        return "Car{" + "kybismos=" + kybismos + ", type=" + type + ", katanalwsh=" + katanalwsh + '}';
    }

    @Override
    public int hashCode() {
        return Integer.hashCode(this.kybismos) *
                this.type.hashCode() *
                Double.hashCode(katanalwsh);
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj) {
            return true;
        }
        if (obj == null) {
            return false;
        }
        if (this.getClass() != obj.getClass()) {
            return false;
        }
        final Car other = (Car) obj;
        if (this.kybismos != other.kybismos) {
            return false;
        }
        if (Double.compare(katanalwsh, other.katanalwsh)!=0) {
            return false;
        }
        if (!this.type.equals(other.type)) {
            return false;
        }
        return true;
    }
    
    
    public static void main(String[] args) {
        Car myCar=new Car(1600,"Toyota",0.1);
    }
}
